<?php 
get_header();
$notfound_bg = snsbiamuc_get_option('notfound_bg', get_template_directory_uri() . '/assets/img/404.png', 'url');
?>
<div id="sns_content">
    <div class="container">
        <div class="row sns-content">
            <div class="col-md-12 sns-main">
                <div class="row">
                    <div class="col-md-6 col-md-offset-3">
                    	<div class="sns-notfound-page">
	                    		<div class="sns-notfound-content">
		                        <h1 title="<?php echo esc_attr__('404', 'snsbiamuc'); ?>">
		                        	<?php echo esc_html__('404', 'snsbiamuc'); ?>
		                        </h1>
		                        <h5 class="notfound-title font-2"><?php echo esc_html( snsbiamuc_get_option('notfound_title') ); ?></h5>
		                        <p>
		                        	<?php echo esc_html( snsbiamuc_get_option('notfound_content') ); ?>
		                        </p>
		                        </div>
		                        <div class="sns-notfound-search-form">
		                        	<?php get_search_form();?>
		                        </div>
                    	</div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php get_footer(); ?>