<?php
add_action( 'tgmpa_register', 'snsbiamuc_plugin_activation' );
function snsbiamuc_plugin_activation() {
    $plugins = array(
            // install Redux Framework, it on wordpress.org/plugins
            array(
                'name'      => 'Redux Framework',
                'slug'      => 'redux-framework', // Slug name of plugin on URL
                'required'  => true,
            ),
            array(
                'name'               => esc_html__('Meta Box', 'snsbiamuc'),
                'slug'               => 'meta-box',
                'required'           => true,
                'force_activation'   => false,
                'force_deactivation' => false,
            ),
            array(
                'name'                  => esc_html__('Slider Revolution', 'snsbiamuc'),
                'slug'                  => 'revslider',
                'source'                => esc_url('http://demo.snstheme.com/wp/resource/122018/revslider.zip'),
                'required'              => true,
                'force_activation'      => false,
                'force_deactivation'    => false,
            ),
            array(
                'name'                  => esc_html__('WPBakery Visual Composer', 'snsbiamuc'),
                'slug'                  => 'js_composer',
                'source'                => esc_url('http://demo.snstheme.com/wp/resource/122018/js_composer.zip'),
                'required'              => true,
                'force_activation'      => false,
                'force_deactivation'    => false,
            ),
            array(
                'name'                  => esc_html__('SNS Posttype', 'snsbiamuc'),
                'slug'                  => 'sns-posttype',
                'source'                => get_template_directory_uri() . '/framework/plugins/sns-posttype.zip',
                'required'              => true,
                'force_activation'      => false,
                'force_deactivation'    => false,
            ),
            array(
                'name'               => esc_html__('WooCommerce - excelling eCommerce', 'snsbiamuc'),
                'slug'               => 'woocommerce',
                'required'           => true,
                'force_activation'   => false,
                'force_deactivation' => false,
            ),
            array(
                'name'               => esc_html__('YITH WooCommerce Wishlist', 'snsbiamuc'),
                'slug'               => 'yith-woocommerce-wishlist',
                'required'           => true,
                'force_activation'   => false,
                'force_deactivation' => false,
            ),
            array(
                'name'               => esc_html__('YITH WooCommerce Compare', 'snsbiamuc'),
                'slug'               => 'yith-woocommerce-compare',
                'required'           => true,
                'force_activation'   => false,
                'force_deactivation' => false,
            ),
            array(
                'name'               => esc_html__('YITH WooCommerce Quick View', 'snsbiamuc'),
                'slug'               => 'yith-woocommerce-quick-view',
                'required'           => true,
                'force_activation'   => false,
                'force_deactivation' => false,
            ),
            array(
                'name'               => esc_html__('Contact Form 7', 'snsbiamuc'),
                'slug'               => 'contact-form-7',
                'required'           => true,
                'force_activation'   => false,
                'force_deactivation' => false,
            ),
            array(
                'name'               => esc_html__('Image Widget', 'snsbiamuc'),
                'slug'               => 'image-widget',
                'required'           => true,
                'force_activation'   => false,
                'force_deactivation' => false,
            ),
            array(
                'name'               => esc_html__('Woo Products Filter', 'snsbiamuc'),
                'slug'               => 'woo-products-filter',
                'required'           => true,
                'force_activation'   => false,
                'force_deactivation' => false,
            ),
            array(
                'name'               => esc_html__('Instagram Feed', 'snsbiamuc'),
                'slug'               => 'instagram-feed',
                'required'           => true,
                'force_activation'   => false,
                'force_deactivation' => false,
            ),
        );
  
    $config = array(
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'has_notices'  => true,                    // Is show notices or not?
        'dismissable'  => false,                   // If false then user cannot colose notices above.
        'is_automatic' => true,                    // If false thene plugin cannot auto active after install.
    );
    tgmpa( $plugins, $config );
}