<?php
if( $relates->have_posts() ): ?>
<div class="post-related">
    <div class="post-related-wrapper">
        <h3 class="related-title">
            <span><?php echo esc_html__( 'Related Post', 'snsbiamuc' ); ?></span>
        </h3>
        <div class="navslider">
            <span class="prev"><i class="fa fa-long-arrow-left"></i></span>
            <span class="next"><i class="fa fa-long-arrow-right"></i></span>
        </div>
        <div class="related-content sns-pre-load">
            <div class="related-slide">
                <?php
                while ( $relates->have_posts() ) : $relates->the_post();
                ?>
                    <div class="item">
                        <?php if ( has_post_thumbnail()) : ?>
                            <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="image">
                                <?php the_post_thumbnail('snsbiamuc_related_posts'); ?>
                            </a>
                        <?php endif; ?>
                        <h4 class="title">
                            <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                        </h4>
                        <div class="related-post-date">
                            <?php echo get_the_date( get_option( 'date_format' ) );?>
                        </div>
                    </div>
                <?php
                endwhile; ?>
            </div>
        </div>
    </div>
</div> 
<?php
endif;
?>