<?php
/**
 * The template for displaying search results pages.
 *
 * @package WordPress
 * @subpackage snstheme
 */
?>
<?php get_header(); ?>
<!-- Content -->
<div id="sns_content">
	<div class="container">
		<div class="row sns-content">
			<!-- Main content -->
			<div class="col-lg-9 col-md-12 sns-main">
				<h1 class="page-header"><?php printf( esc_html__( 'Search Results for: %s', 'snsbiamuc' ), get_search_query() ); ?></h1>
			    <div class="sns-main-content">
				    <?php
				    if ( have_posts() ) :
				        get_template_part( 'framework/tpl/blog/blog', snsbiamuc_get_option('blog_type','') );
				    else:
				        get_template_part( 'content', 'none' );
				    endif; ?>
			    </div>
			</div>
			<!-- Right sidebar -->
			<div class="col-lg-3 sns-right">
				<div class="sns-right-content">
				    <?php 
				    dynamic_sidebar('widget-area');
				    ?>
			    </div>
			</div>
		</div>
	</div>
</div>
<!-- End Content -->
<?php get_footer(); ?>