<?php
global $snsbiamuc_opt, $snsbiamuc_obj;
$theme_color = $snsbiamuc_obj->getOption('theme_color', '#e6c907');

// Get page meta data
if (function_exists('rwmb_meta') && rwmb_meta('snsbiamuc_page_themecolor') == 1) {
	$theme_color = rwmb_meta('snsbiamuc_theme_color') != '' ? rwmb_meta('snsbiamuc_theme_color') : $theme_color;
}

$theme_color = str_replace('#', '', $theme_color);

?>
<div id="sns_cpanel">
    <div class="cpanel-head">
    	<a class="button btn-buy" href="#" title="<?php echo esc_html__('Buy Theme Now', 'snsbiamuc'); ?>"><?php echo esc_html__('Buy Theme Now', 'snsbiamuc'); ?></a>
    </div>
    <div class="cpanel-set">
		<?php
		$scss_compile = snsbiamuc_get_option('advance_scss_compile');
		?>
		<div class="form-group">
			<div class="col-xs-12">
				<label><?php echo esc_html__('Always Compile SCSS', 'snsbiamuc'); ?></label>
				<div class="content scss_compile">
					<a class="<?php echo ($scss_compile == 2)?'active menu':'menu'; ?>" href="#" data-scsscompile="2">Yes</a>
					<a class="<?php echo ($scss_compile == 1)?'active menu':'menu'; ?>" href="#" data-scsscompile="1">No</a>
					<input type="hidden" name="scss_compile" value="<?php echo esc_attr($scss_compile); ?>"/>
				</div>
			</div>
		</div>
    </div>
    <div class="cpanel-bottom">
    	<div class="form-group">
			<div class="col-xs-12">
				<div class="button-action">
					<!--<a class="button btn-preview" href="#"><?php //echo esc_html__('Preview', 'snsbiamuc'); ?></a> -->
					<a class="button btn-reset" href="#"><?php echo esc_html__('Reset Options', 'snsbiamuc'); ?></a>
				</div>
			</div>
		</div>
		<div class="form-group">
			<div class="col-xs-12">
				<!-- <label>Cpanel tool</label> -->
				<p><?php echo esc_html__('That is some options to demo for you.', 'snsbiamuc'); ?></p>
			</div>
		</div>
	</div>
    <div id="sns_cpanel_btn">
        <i class="fa fa-cog fa-spin"></i>
    </div>
</div>