<?php
$output = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );
$uq = rand().time();
$class = 'sns-product-category woocommerce pre-load';
$class .= ( trim(esc_attr($extra_class))!='' )?' '.esc_attr($extra_class):'';
$class .= esc_attr($this->getCSSAnimation( $css_animation ));

if( empty($category) && $category ==''){
	return;
}

if( class_exists('WooCommerce') ){
	global $woocommerce;	
	$category_info_offset = '';
	if( $category_info_topoffset !== '50%' && $category_info_topoffset !== ''){
		$category_info_topoffset = trim($category_info_topoffset);
		$category_info_topoffset = str_replace(' ', '', $category_info_topoffset);
		$category_info_offset = 'style='.esc_attr($category_info_topoffset);
	}

	$query_args = array(
		'posts_per_page' 	=> 4,
		'post_status' 	 	=> 'publish',
		'post_type' 	 	=> 'product',
		'order'          	=> 'DESC'
	);

	$query_args['tax_query'][] =
	array(
		'taxonomy'			=> 'product_cat',
		'field'				=> 'slug',
		'terms'				=> $category,
		'operator'			=> 'IN'
	);

	ob_start();
	switch ($template) {
		case 'right';
			$loop = new WP_Query($query_args);
			if( $loop->have_posts() ): ?>
				<div id="sns_product_category<?php echo $uq ?>" class="<?php echo esc_attr($class . ' template-' .$template) ?>">
					<div class="sns-product-category-wrap">
						<?php
						$cat_obj = get_term_by( 'slug', $category, 'product_cat');
						$cat_thumbnail = wp_get_attachment_image_src( $category_thumbnail, 'snsbiamuc_sc_product_category_thumb' );
						?>
						<div class="category-info-wrap">
							<div class="category-thumb">
								<?php
								if( !empty($cat_thumbnail[0]) ):
									echo '<img src="'.$cat_thumbnail[0].'" alt="'.$cat_obj->name.'"/>';
								endif;
								?>
							</div>
							<div class="category-info" <?php echo $category_info_offset;?>>
								<h2 class="sns-product-category-heading"><span><?php echo $cat_obj->name; ?></span></h2>
								<div class="category-excerpt"><?php echo esc_html($category_excerpt) ?></div>
								<a class="product-category-url" href="<?php echo get_term_link( $cat_obj->term_id, 'product_cat' ); ?>" title="<?php echo esc_attr($cat_obj->name); ?>"><?php echo esc_html__( 'Go to category', 'snsbiamuc' );?></a>
							</div>
						</div>
						<div class="category-grid">
							<div class="products-list">
								<ul class="products product_list grid zoomOut">
									<?php 
									while ( $loop->have_posts() ) : $loop->the_post();
									    	wc_get_template( 'vc/item-girdcatthumb.php');
									endwhile;
									?>
								</ul>
							</div>
						</div>
					</div>
				</div>
			<?php
			endif;
			wp_reset_postdata();
			break;
		case 'left':
			$loop = new WP_Query($query_args);
			if( $loop->have_posts() ): ?>
				<div id="sns_product_category<?php echo $uq ?>" class="<?php echo esc_attr($class . ' template-' .$template) ?>">
					<div class="sns-product-category-wrap">
						<?php
						$cat_obj = get_term_by( 'slug', $category, 'product_cat');
						$cat_thumbnail = wp_get_attachment_image_src( $category_thumbnail, 'snsbiamuc_sc_product_category_thumb' );
						?>
						<div class="category-grid">
							<div class="products-list">
								<ul class="products product_list grid zoomOut">
									<?php 
									while ( $loop->have_posts() ) : $loop->the_post();
									    	wc_get_template( 'vc/item-girdcatthumb.php');
									endwhile;
									?>
								</ul>
							</div>
						</div>
						<div class="category-info-wrap">
							<div class="category-thumb">
								<?php
								if( !empty($cat_thumbnail[0]) ):
									echo '<img src="'.$cat_thumbnail[0].'" alt="'.$cat_obj->name.'"/>';
								endif;
								?>
							</div>
							<div class="category-info" <?php echo $category_info_offset;?>>
								<h2 class="sns-product-category-heading"><span><?php echo $cat_obj->name; ?></span></h2>
								<div class="category-excerpt"><?php echo esc_html($category_excerpt) ?></div>
								<a class="product-category-url" href="<?php echo get_term_link( $cat_obj->term_id, 'product_cat' ); ?>" title="<?php echo esc_attr($cat_obj->name); ?>"><?php echo esc_html__( 'Go to category', 'snsbiamuc' );?></a>
							</div>
						</div>
					</div>
				</div>
			<?php
			endif;
			wp_reset_postdata();
			break;
		default:
			break;
	}
	?>

	<?php
	$output = ob_get_clean();
}
echo $output;
