<?php
global $product, $woocommerce_loop, $yith_woocompare;

$class = 'item_product ';
?>
<li class="item_slider">
	<div class="item_product_slider_wrap">
		<div class="item-slider-info">
			<h3 class="item-title"><a class="product-name" href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
			<div class="item-content">
				<?php
					/**
					 * woocommerce_after_shop_loop_item_title hook
					 *
					 * @hooked woocommerce_template_loop_rating - 5
					 * @hooked woocommerce_template_loop_price - 10
					 */
					//remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_price', 10);
					remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 10);
					// Re-order
					// add_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_price', 5);
					// add_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 10);
					do_action( 'woocommerce_after_shop_loop_item_title' );
				?>
			</div>
			<div class="item-slider-excerpt">
				<?php echo get_the_excerpt();?>
			</div>
		</div>
		<div class="item-slider-img">
			<a class="product-image" href="<?php the_permalink(); ?>">
				<?php
					the_post_thumbnail( 'snsbiamuc_sc_product_slider_thumb' );
				?>
			</a>
		</div>
	</div>
</li>