jQuery(document).ready(function($){
	if( $('#snsbiamuc_layouttype').length > 0 ){
		var selector = document.getElementById('snsbiamuc_layouttype');
		var imgLayoutHTML = '';
	    for(var i = 1; i < selector.options.length; i++){
	    	if( selector.options[i].value ){
	    		imgLayoutHTML = imgLayoutHTML + '<span class="img-layout '+selector.options[i].value+'" data-value="'+selector.options[i].value+'" title="'+selector.options[i].text+'"></span>';
	    	}
	    }
	    $('#snsbiamuc_layouttype').parent().append(imgLayoutHTML); $('#snsbiamuc_layouttype').css('display', 'none');
	}
	$('.img-layout').each(function(){
		// Add active class
		if($(this).attr('data-value') == $('#snsbiamuc_layouttype').attr('value')){
			$(this).addClass('active');
		}
		showHideDependLayout($('#snsbiamuc_layouttype').attr('value'));
		// Click img select
		$(this).unbind('click').click(function(){
			// Change active class
			$val = $(this).attr('data-value'); $('.img-layout').removeClass('active'); $(this).addClass('active');
			// Set value for select
			$('#post-body #snsbiamuc_layouttype').attr('value', $val);
			// Hide or show field codition
			showHideDependLayout($val);
		});
	});
	//
	if ( $('#page_template').attr('value') == 'fullwidth.php' || $('#page_template').attr('value') == 'sidepage.php' || $('#page_template').attr('value') == 'page-comming-soon.php'){
		$('#sns_layout').fadeOut(500);
	}else{
		$('#sns_layout').fadeIn(500);
	}

	if ( $('#page_template').attr('value') == 'page-comming-soon.php'){
		$('#sns_commingsoon').fadeIn(500);
		$('#sns_pageconfig').fadeOut(500);
	}else{
		$('#sns_commingsoon').fadeOut(500);
		$('#sns_pageconfig').fadeIn(500);
	}
	
	$('#page_template').change(function(){
		if( $(this).attr('value') == 'fullwidth.php' || $('#page_template').attr('value') == 'sidepage.php' || $('#page_template').attr('value') == 'page-comming-soon.php'){
			$('#sns_layout').fadeOut(500);
		}else{
			$('#sns_layout').fadeIn(500);
		}

		if ( $(this).attr('value') == 'page-comming-soon.php'){
			$('#sns_commingsoon').fadeIn(500);
			$('#sns_pageconfig').fadeOut(500);
		}else{
			$('#sns_commingsoon').fadeOut(500);
			$('#sns_pageconfig').fadeIn(500);
		}
	})
	function showHideDependLayout($val){
		if( $val == 'm' ){
			$('#post-body #snsbiamuc_leftsidebar').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
			$('#post-body #snsbiamuc_rightsidebar').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
		}else if( $val == 'l-m' ){
			$('#post-body #snsbiamuc_leftsidebar').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
			$('#post-body #snsbiamuc_rightsidebar').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
		}else if( $val == 'm-r' ){
			$('#post-body #snsbiamuc_rightsidebar').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
			$('#post-body #snsbiamuc_leftsidebar').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
		}
	}
	// Enable layout config
	$('#post-body input[name="snsbiamuc_enablelayoutconfig"]').each(function(){
		if( $(this).attr('checked') == 'checked' ) enableLayoutConfig( $(this).attr('value') );
		$(this).change(function(){
			enableLayoutConfig( $(this).attr('value') );
		})
	})
	// $('#post-body input[name="sns_enablelayoutconfig"]').change(function(){
	// 	enableLayoutConfig( $(this).attr('value') );
	// })
	function enableLayoutConfig($val){
		if( $val == '1' ){
			$('#post-body #snsbiamuc_layouttype').parents('.rwmb-layouttype-wrapper').stop(true,true).fadeIn(500);
			showHideDependLayout($('#snsbiamuc_layouttype').attr('value'));
		}else{
			$('#post-body #snsbiamuc_leftsidebar').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
			$('#post-body #snsbiamuc_rightsidebar').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
			$('#post-body #snsbiamuc_layouttype').parents('.rwmb-layouttype-wrapper').stop(true,true).fadeOut(500);
		}
	}
	//
	showHideDependPostFormat($('#post-format-gallery').attr('checked'), '#sns-post-gallery' );
	showHideDependPostFormat($('#post-format-video').attr('checked'), '#sns-post-video' );
	showHideDependPostFormat($('#post-format-audio').attr('checked'), '#sns-post-audio' );
	showHideDependPostFormat($('#post-format-quote').attr('checked'), '#sns-post-quote' );
	showHideDependPostFormat($('#post-format-link').attr('checked'), '#sns-post-link' );
	$('#post-formats-select input').each(function(){
		$(this).unbind('click').click(function(){
			showHideDependPostFormat($('#post-format-gallery').attr('checked'), '#sns-post-gallery' );
			showHideDependPostFormat($('#post-format-video').attr('checked'), '#sns-post-video' );
			showHideDependPostFormat($('#post-format-audio').attr('checked'), '#sns-post-audio' );
			showHideDependPostFormat($('#post-format-quote').attr('checked'), '#sns-post-quote' );
			showHideDependPostFormat($('#post-format-link').attr('checked'), '#sns-post-link' );
		});
	});
	function showHideDependPostFormat($checked, $id){
		if( $checked == 'checked' ){
			$($id).stop(true,true).fadeIn(500);
		}else {
			$($id).stop(true,true).fadeOut(500);
		}
	}
	// Revolution
	$('#post-body input[name=snsbiamuc_useslideshow]').each(function(){
		if( $(this).attr('checked') == 'checked' ){
			if ( $(this).attr('value') == '1' ) {
				$('#post-body select#snsbiamuc_revolutionslider').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
			}else {
				$('#post-body select#snsbiamuc_revolutionslider').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
			}
		}
		$(this).change(function(){
			if ( $(this).attr('value') == '1' ) {
				$('#post-body select#snsbiamuc_revolutionslider').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
			}else {
				$('#post-body select#snsbiamuc_revolutionslider').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
			}
		})
	})
	// Theme color
	$('#post-body input[name=snsbiamuc_page_themecolor]').each(function(){
		if( $(this).attr('checked') == 'checked' ){
			if ( $(this).attr('value') == '1' ) {
				$('#post-body input#snsbiamuc_theme_color').parents('.rwmb-color-wrapper').stop(true,true).fadeIn(500);
			}else {
				$('#post-body input#snsbiamuc_theme_color').parents('.rwmb-color-wrapper').stop(true,true).fadeOut(500);
			}
		}
		$(this).change(function(){
			if ( $(this).attr('value') == '1' ) {
				$('#post-body input#snsbiamuc_theme_color').parents('.rwmb-color-wrapper').stop(true,true).fadeIn(500);
			}else {
				$('#post-body input#snsbiamuc_theme_color').parents('.rwmb-color-wrapper').stop(true,true).fadeOut(500);
			}
		})
	})
	// Theme color
	// Header Layout
	$('#post-body select[id=snsbiamuc_header_layout]').each(function(){
		var $thisSelected = $(this).val();
		if($thisSelected == 'layout_3'){
				$('#post-body input#snsbiamuc_header_color3').parents('.rwmb-color-wrapper').stop(true,true).fadeIn(500);
				$('#post-body label[for="snsbiamuc_header_background3"]').parents('.rwmb-image_advanced-wrapper').stop(true,true).fadeIn(500);
		}else{
				$('#post-body input#snsbiamuc_header_color3').parents('.rwmb-color-wrapper').stop(true,true).fadeOut(500);
				$('#post-body label[for="snsbiamuc_header_background3"]').parents('.rwmb-image_advanced-wrapper').stop(true,true).fadeOut(500);
		}
		//
		if($thisSelected == 'layout_5'){
				$('#post-body select#snsbiamuc_vertical_onshow').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsbiamuc_vertical_menu').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
		}else{
				$('#post-body select#snsbiamuc_vertical_onshow').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsbiamuc_vertical_menu').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
		}

		$(this).on('change', function(){
			if(this.value == 'layout_3'){
				$('#post-body input#snsbiamuc_header_color3').parents('.rwmb-color-wrapper').stop(true,true).fadeIn(500);
				$('#post-body label[for="snsbiamuc_header_background3"]').parents('.rwmb-image_advanced-wrapper').stop(true,true).fadeIn(500);
			}else{
				$('#post-body input#snsbiamuc_header_color3').parents('.rwmb-color-wrapper').stop(true,true).fadeOut(500);
				$('#post-body label[for="snsbiamuc_header_background3"]').parents('.rwmb-image_advanced-wrapper').stop(true,true).fadeOut(500);
			}
			// 
			if(this.value == 'layout_5'){
				$('#post-body select#snsbiamuc_vertical_onshow').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsbiamuc_vertical_menu').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
			}else{
				$('#post-body select#snsbiamuc_vertical_onshow').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsbiamuc_vertical_menu').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
			}
		});

	});

	// Footer Layout
	$('#post-body select[id=snsbiamuc_footer_layout]').each(function(){
		var $thisSelected = $(this).val();
		if($thisSelected == 'layout_1' || $thisSelected == 'layout_2'){
				$('#post-body label[for="snsbiamuc_footer_bg"]').parents('.rwmb-image_advanced-wrapper').stop(true,true).fadeIn(500);
		}else{
				$('#post-body label[for="snsbiamuc_footer_bg"]').parents('.rwmb-image_advanced-wrapper').stop(true,true).fadeOut(500);
		}

		$(this).on('change', function(){
			if(this.value == 'layout_1' || this.value == 'layout_2'){
				$('#post-body label[for="snsbiamuc_footer_bg"]').parents('.rwmb-image_advanced-wrapper').stop(true,true).fadeIn(500);
			}else{
				$('#post-body label[for="snsbiamuc_footer_bg"]').parents('.rwmb-image_advanced-wrapper').stop(true,true).fadeOut(500);
			}
		});

	});
})
