		<?php
		if( is_page() && get_post_meta( get_the_ID(), 'snsbiamuc_hide_footer', true ) == '1' ) {
			// Do something
		}else{
			$hasFooterSidebar = 0;
			if( is_active_sidebar( 'footer_sidebar_col1' ) ||  is_active_sidebar( 'footer_sidebar_col2' ) || is_active_sidebar( 'footer_sidebar_col3' ) || is_active_sidebar( 'footer_sidebar_col4' ) ) {
				$hasFooterSidebar = 1;
			}
		?>
		<div id="sns_footer" class="sns-footer<?php echo ($hasFooterSidebar==0)? ' empty-footer':''; ?>">
			<div class="container">
				<?php if($hasFooterSidebar) : ?>
				<div id="sns_footer_sidebar" class="first">
					<div class="row">
						<?php if( is_active_sidebar( 'footer_sidebar_col1' ) ) : ?>
							<div class="footer_sidebar_col1">
					          <?php dynamic_sidebar('footer_sidebar_col1'); ?>
					        </div>
						<?php endif; ?>
						<?php if( is_active_sidebar( 'footer_sidebar_col2' ) ) : ?>
							<div class="footer_sidebar_col2">
					          <?php dynamic_sidebar('footer_sidebar_col2'); ?>
					        </div>
						<?php endif; ?>
						<?php if( is_active_sidebar( 'footer_sidebar_col3' ) ) : ?>
							<div class="footer_sidebar_col3">
					          <?php dynamic_sidebar('footer_sidebar_col3'); ?>
					        </div>
						<?php endif; ?>
						<?php if( is_active_sidebar( 'footer_sidebar_col4' ) ) : ?>
							<div class="footer_sidebar_col4">
					          <?php dynamic_sidebar('footer_sidebar_col4'); ?>
					        </div>
						<?php endif; ?>
					</div>
				</div>
				<?php endif; ?>
				<div id="sns_footer_bottom">
					<div class="row">
						<?php
						$col_class = 'col-md-12';
						$payment_img = snsbiamuc_get_option('payment_img','','url'); ?>
						<?php if ( isset( $payment_img ) && $payment_img != '' ) :
						$col_class = 'col-md-12 col-lg-8 col-lg-pull-4'; ?>
						<div class="payment-logo col-md-12 col-lg-4  col-lg-push-8">
							<div class="inner">
								<img src="<?php echo esc_url( $payment_img ); ?>" alt="<?php echo esc_html__('Payment method', 'snsbiamuc'); ?>"/>
							</div>
						</div>
						<?php endif; ?>
						<div class="<?php echo esc_attr( $col_class ); ?>">
							<?php 
							if ( has_nav_menu( 'footer_navigation' ) ) :
				                wp_nav_menu( array(
				                        'theme_location'    => 'footer_navigation',
				                        'depth'             => 1,
				                        'container'         => 'div',
				                        'container_class'   => 'footer-navigation clearfix',
				                        'menu_class'        => 'links',
				                        'menu_id'			=> 'footer_links'
				                ));
				            endif;
				            ?>
						</div>
					</div>
				</div>
			</div>
		</div>
		<?php } ?>
		<?php 
		$advance_scrolltotop = snsbiamuc_get_option('advance_scrolltotop', 1);
		$advance_cpanel = snsbiamuc_get_option('advance_cpanel', 0);
		?>
		<?php if ( $advance_scrolltotop == 1 || $advance_cpanel == 1 ) : ?>
		<div id="sns_tools">
			<?php 
			if ( $advance_scrolltotop == 1 ) : 
				get_template_part( 'tpl-scrolltotop');
			endif;
			if ( $advance_cpanel == 1 ) : 
				get_template_part( 'tpl-cpanel');
			endif;
			?>
		</div>
		<?php endif; ?>

		</div><!-- End #sns_wrapper -->
	</div><!-- End #sns_bm_wrap -->