<?php
if( (is_front_page() && snsbiamuc_get_option('show_top_header', '0') == '1') || (is_page() && get_post_meta( get_the_id(), 'snsbiamuc_show_top_header', true ) == '1' )  ):
?>
<!-- Top Header -->
<div id="sns_topheader" class="wrap">
	<div class="container">
		<div class="row">
			<div class="col-sm-6">
				<div class="top-header-left">
					<?php
					if(class_exists('WooCommerce')):
						$posts_per_page = absint(snsbiamuc_get_option('post_slider_number', 10));
						if(!$posts_per_page){
							$posts_per_page = get_option( 'posts_per_page', 10 );
						}
						$my_query = array(
							'post_type'      => 'post',
							'posts_per_page' => $posts_per_page ,
							'order'          => 'DESC',
							'orderby'        => 'date',
							'ignore_sticky_posts' => true,
							'post_status'    => 'publish'
						);
						$latest_posts = new WP_Query($my_query);
						if($latest_posts->have_posts()):
						?>
							<div class="bm-post-slider sns-preload">
								<ul class="clearfix">
									<?php
										while ( $latest_posts->have_posts() ): $latest_posts->the_post();
										?>
											<li><a href="<?php echo get_permalink(); ?>" title="<?php echo get_the_title(); ?>"><i class="fa fa-commenting"></i><?php echo get_the_title(); ?></a></li>
										<?php	
										endwhile;
									?>
								</ul>
							</div>
						<?php
						endif;
						wp_reset_postdata();
					endif;
					?>
				</div>
			</div>
			<div class="col-sm-6 hidden-xs">
				<div class="top-header-right">
					<?php
					$contact_number = snsbiamuc_get_option('contact_number', '');
					if( !empty($contact_number ) ):
					?>
					<div class="contact-number"><a href="tel:<?php echo esc_html($contact_number); ?>" title="<?php echo esc_html__('Call us now!', 'snsbiamuc'); ?>"><i class="fa fa-phone"></i><span><?php echo esc_html($contact_number); ?></span></a></div>
					<?php endif;?>
				</div>
			</div>
		</div>
	</div>
</div>
<?php endif; ?>

<?php if ( is_page() && snsbiamuc_get_option('revolutionslider') != '' ): ?>
<div id="sns_slideshow" class="wrap">
	<?php
		echo do_shortcode('[rev_slider alias="'.esc_attr(snsbiamuc_get_option('revolutionslider')).'" ]');
	?>
</div>
<?php endif; ?>
