<?php
$lclass = '';
$rclass = '';
$mclass = '';
$hasL = 0;
$hasR = 0;

$snsbiamuc_layouttype = snsbiamuc_metabox('snsbiamuc_layouttype', 'm');

if( is_product_category() ){
	$cate = get_queried_object();
	$snsbiamuc_layouttype = get_woocommerce_term_meta($cate->term_id, 'snsbiamuc_product_cat_layout');
}
if ( trim($snsbiamuc_layouttype) == '' ) $snsbiamuc_layouttype = 'l-m'; // Tempolary
if( is_product_tag() ){
	$snsbiamuc_layouttype = '';
}

if( is_product() ){
	$mclass = 'col-md-12';
}else{
	if( $snsbiamuc_layouttype == 'm-r' && (is_active_sidebar('woo-sidebar'))){
	    $rclass .= 'col-md-3';
	    $mclass = 'col-md-9';
	    $hasR = 1;
	}else{
	    $mclass = 'col-md-12';
	}
}
?>
<?php get_header(); ?>
<!-- Content -->
<div id="sns_content">
	<div class="container">
		<div class="row sns-content sns-woocommerce-page">
			<div class="col-md-12 sns-breadcrumbs">
				<?php snsbiamuc_breadcrumbs(); ?>
			</div>
			<!-- Main content -->
			<div class="<?php echo esc_attr($mclass); ?> sns-main">
				<div class="sns-main-content">
				    <?php
			    	if( is_product() ){
						wc_get_template( 'single-product.php' );
					}else{
						wc_get_template( 'listing-product.php' );
					}
					?>
				</div>
			</div>
			<?php if ($hasR == 1): ?>
			<!-- Right sidebar -->
			<div class="<?php echo esc_attr($rclass); ?> sns-right">
				<div class="sns-right-content">
				    <?php 
				    if( snsbiamuc_metabox('snsbiamuc_rightsidebar')!= '' && is_active_sidebar( snsbiamuc_metabox('snsbiamuc_rightsidebar') ) ){
				        dynamic_sidebar( snsbiamuc_metabox('snsbiamuc_rightsidebar') );
				    }else{
				        dynamic_sidebar( 'woo-sidebar' );
				    }
				    ?>
			    </div>
			</div>
			<?php endif ?>
		</div>
	</div>
</div>
<!-- End Content -->
<?php get_footer(); ?>