<?php
global $product, $woocommerce_loop, $yith_woocompare;
if( isset($layout) ){
	$layout = $layout;
}else{
	$layout = '';
}
?>
<div class="item_product">
	<div class="block-product-inner grid-view">
		<div class="item-inner">
			<?php do_action( 'woocommerce_before_shop_loop_item' ); ?>
			<div class="item-info have-iconew have-additional clearfix">
				<div class="item-img-info-left">
					<a class="product-image" href="<?php the_permalink(); ?>">
						<?php
						the_post_thumbnail('snsbiamuc_widget_product_thumb');
						?>
					</a>
				</div>
				<div class="item-info-right">
					<div class="info-inner">
						<h3 class="item-title"><a class="product-name" href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
						<div class="item-content">
							<?php
							if( $layout != 'grid' ):
								/**
								 * woocommerce_after_shop_loop_item_title hook
								 *
								 * @hooked woocommerce_template_loop_rating - 5
								 * @hooked woocommerce_template_loop_price - 10
								 */
								remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_price', 10);
								remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5);
								// Re-order
								add_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_price', 5);
								add_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 10);
								do_action( 'woocommerce_after_shop_loop_item_title' );
							else:
								add_action('snsbiamuc_widget_woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_price', 10);
								do_action( 'snsbiamuc_widget_woocommerce_after_shop_loop_item_title' );
							endif;
							?>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>